View Issue Details

IDProjectCategoryView StatusLast Update
0001155Kali Linux[All Projects] Tool Upgradepublic2014-05-13 12:11
Reporterethicalhack3r Assigned Torhertzog  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version1.0.7 
Summary0001155: WPScan 2.4 Released
DescriptionPlease update us before the next kali release :)

Download: https://github.com/wpscanteam/wpscan/releases/tag/2.4
Changelog: https://github.com/wpscanteam/wpscan/blob/master/CHANGELOG.md

Activities

Erwan.lr

2014-04-19 09:06

reporter   ~0001713

Last edited: 2014-04-19 09:18

View 3 revisions

Please note that Typhoeus 0.6.8 is required for this release to work properly

ethicalhack3r

2014-05-06 09:58

reporter   ~0001738

Any movement on this? We'd really like Kali users to benefit from WPScan's newest version :)

rhertzog

2014-05-09 16:21

administrator   ~0001770

I just pushed wpscan_2.4-0kali1.dsc to kali-proposed-updates. Please test the package and report any problem!

ethicalhack3r

2014-05-10 15:07

reporter   ~0001771

After some testing it seems the 'ruby-progressbar' gem needs updating in Kali for WPScan to work correctly. We've also just released WPScan 2.4.1 which includes fingerprints for WP 3.9 & 3.9.1.

Please could the ruby-progressbar gem be updated in Kali and WPScan to version 2.4.1.

Thank you! :)

muts

2014-05-10 17:18

administrator   ~0001772

Thanks for the update. Do you happen to know what version of ruby-progressbar is needed ?

ethicalhack3r

2014-05-10 17:34

reporter   ~0001773

Version 1.4.2

We're tracking this issue here - https://github.com/wpscanteam/wpscan/issues/461

Thanks again!

rhertzog

2014-05-12 14:07

administrator   ~0001777

ruby-progressbar is at version 1.5.0 on https://github.com/jfelchner/ruby-progressbar/tags, your dependency requires >= 1.4.2 and << 1.5 (via ~> 1.4.2). Is there any reason for that ?

(No luck, I realize 1.5.0 got released 18 hours ago... :))

I have already pushed ruby-ruby-progressbar 1.5.0 to kali so I'd like to have a confirmation that wpscan 2.4.1 will work with 1.5.0 too despite the current dependency.

rhertzog

2014-05-12 14:36

administrator   ~0001778

I pushed wpscan_2.4.1-0kali1 to kali-proposed-updates but I patched the Gemfile to allow versions >= 1.4.2 of ruby-ruby-progressbar (including the current 1.5.x series). Let me know if it works and then I'll close the ticket.

ethicalhack3r

2014-05-12 14:55

reporter   ~0001779

Added ruby-progressbar 1.5.0 to our Gemfile - https://github.com/wpscanteam/wpscan/commit/6f995fe350c529604249770948103c4fd3f006bd

All tests pass - https://travis-ci.org/wpscanteam/wpscan/builds/24981501

Some (limited) manual testing on OS X also indicates that the version bump causes no issues.

Looking at the ruby-progressbar CHANGELOG there were just some additional features added -https://github.com/jfelchner/ruby-progressbar/blob/master/CHANGELOG.md

All signs point to 'should be no issues'. I haven't tested the changes in Kali though as I'm not sure how to access the kali-proposed-updates repo, any suggestions?

ethicalhack3r

2014-05-12 15:03

reporter   ~0001780

Slight change to our Gemfile as suggested by one of our developers (Erwan) which also brings it inline with your changes - https://github.com/wpscanteam/wpscan/commit/c08f275cf796a4a35d4bee0c97c93b361a4e036a

rhertzog

2014-05-13 12:11

administrator   ~0001872

You can test packages from kali-proposed-updates by adding this entry to /etc/apt/sources.list:

deb http://http.kali.org/kali kali-proposed-updates main contrib non-free

Thanks for the confirmation! Closing the bug now.

Issue History

Date Modified Username Field Change
2014-04-17 13:12 ethicalhack3r New Issue
2014-04-19 09:06 Erwan.lr Note Added: 0001713
2014-04-19 09:17 Erwan.lr Note Edited: 0001713 View Revisions
2014-04-19 09:18 Erwan.lr Note Edited: 0001713 View Revisions
2014-05-06 09:58 ethicalhack3r Note Added: 0001738
2014-05-09 16:21 rhertzog Note Added: 0001770
2014-05-09 16:21 rhertzog Status new => resolved
2014-05-09 16:21 rhertzog Fixed in Version => 1.0.7
2014-05-09 16:21 rhertzog Resolution open => fixed
2014-05-09 16:21 rhertzog Assigned To => rhertzog
2014-05-10 15:07 ethicalhack3r Note Added: 0001771
2014-05-10 15:07 ethicalhack3r Status resolved => feedback
2014-05-10 15:07 ethicalhack3r Resolution fixed => reopened
2014-05-10 17:18 muts Note Added: 0001772
2014-05-10 17:34 ethicalhack3r Note Added: 0001773
2014-05-10 17:34 ethicalhack3r Status feedback => assigned
2014-05-12 14:07 rhertzog Note Added: 0001777
2014-05-12 14:36 rhertzog Note Added: 0001778
2014-05-12 14:55 ethicalhack3r Note Added: 0001779
2014-05-12 15:03 ethicalhack3r Note Added: 0001780
2014-05-12 17:16 xploitx Issue cloned: 0001187
2014-05-13 12:11 rhertzog Note Added: 0001872
2014-05-13 12:11 rhertzog Status assigned => resolved
2014-05-13 12:11 rhertzog Resolution reopened => fixed